'use strict';

Object.defineProperty(exports, '__esModule', { value: true });

var React = require('react');
var cn = require('classnames');
var components_actionsControl_actions = require('./components/actions-control/actions.js');
var components_content_content = require('./components/content/content.js');
var components_statusControl_statusControl = require('./components/status-control/status-control.js');
var context_fileUploadItemContext = require('./context/file-upload-item-context.js');
var styles = require('./index.module.css');

function _interopDefaultCompat (e) { return e && typeof e === 'object' && 'default' in e ? e : { default: e }; }

var React__default = /*#__PURE__*/_interopDefaultCompat(React);
var cn__default = /*#__PURE__*/_interopDefaultCompat(cn);
var styles__default = /*#__PURE__*/_interopDefaultCompat(styles);

var FileUploadItemComponent = function (_a) {
    var className = _a.className, children = _a.children, _b = _a.id, id = _b === void 0 ? '0' : _b, _c = _a.title, title = _c === void 0 ? '' : _c, subtitle = _a.subtitle, size = _a.size, uploadDate = _a.uploadDate, downloadLink = _a.downloadLink, download = _a.download, uploadStatus = _a.uploadStatus, error = _a.error, showDelete = _a.showDelete, showRestore = _a.showRestore, onDelete = _a.onDelete, onDownload = _a.onDownload, onRestore = _a.onRestore, disableButtons = _a.disableButtons, target = _a.target, dataTestId = _a.dataTestId, customIcon = _a.customIcon, _d = _a.iconStyle, iconStyle = _d === void 0 ? 'gray' : _d, _e = _a.progressBar, progressBar = _e === void 0 ? 0 : _e, customContent = _a.customContent, truncate = _a.truncate, imageUrl = _a.imageUrl;
    return (React__default.default.createElement("div", { className: cn__default.default(className, styles__default.default.component, uploadStatus && styles__default.default[uploadStatus.toLocaleLowerCase()]), "data-test-id": dataTestId },
        React__default.default.createElement(context_fileUploadItemContext.FileUploadItemContext.Provider
        // eslint-disable-next-line react/jsx-no-constructed-context-values
        , { 
            // eslint-disable-next-line react/jsx-no-constructed-context-values
            value: {
                showRestore: showRestore,
                uploadStatus: uploadStatus,
                error: error,
                title: title,
                subtitle: subtitle,
                uploadDate: uploadDate,
                size: size,
                id: id,
                onDownload: onDownload,
                onDelete: onDelete,
                onRestore: onRestore,
                downloadLink: downloadLink,
                download: download,
                disableButtons: disableButtons,
                target: target,
                showDelete: showDelete,
                customIcon: customIcon,
                iconStyle: iconStyle,
                progressBar: progressBar,
                customContent: customContent,
                truncate: truncate,
                imageUrl: imageUrl,
            } }, children)));
};
var FileUploadItem = Object.assign(FileUploadItemComponent, {
    StatusControl: components_statusControl_statusControl.StatusControl,
    Content: components_content_content.Content,
    Actions: components_actionsControl_actions.Actions,
});

exports.FileUploadItem = FileUploadItem;
exports.FileUploadItemComponent = FileUploadItemComponent;
