'use strict';

Object.defineProperty(exports, '__esModule', { value: true });

var React = require('react');
var coreComponentsTypography = require('@alfalab/core-components-typography/cssm');
var context_fileUploadItemContext = require('../../../../context/file-upload-item-context.js');
var styles = require('./content-error.module.css');

function _interopDefaultCompat (e) { return e && typeof e === 'object' && 'default' in e ? e : { default: e }; }

var React__default = /*#__PURE__*/_interopDefaultCompat(React);
var styles__default = /*#__PURE__*/_interopDefaultCompat(styles);

var ContentError = function () {
    var error = React.useContext(context_fileUploadItemContext.FileUploadItemContext).error;
    if (typeof error === 'string' && error.length > 0) {
        return (React__default.default.createElement(coreComponentsTypography.Text, { className: styles__default.default.errorItem, view: 'primary-small', color: 'negative' }, error));
    }
    if (Array.isArray(error) && error.length > 0) {
        return (React__default.default.createElement("div", null, error.map(function (item) { return (React__default.default.createElement(coreComponentsTypography.Text, { key: item, className: styles__default.default.errorItem, view: 'primary-small', color: 'negative' }, item)); })));
    }
    return (React__default.default.createElement(coreComponentsTypography.Text, { className: styles__default.default.errorItem, view: 'primary-small', color: 'negative' }, "\u041D\u0435 \u0443\u0434\u0430\u043B\u043E\u0441\u044C \u0437\u0430\u0433\u0440\u0443\u0437\u0438\u0442\u044C \u0444\u0430\u0439\u043B"));
};

exports.ContentError = ContentError;
