'use strict';

Object.defineProperty(exports, '__esModule', { value: true });

var React = require('react');
var cn = require('classnames');
var Document1CMIcon = require('@alfalab/icons-glyph/Document1CMIcon');
var DocumentDocMIcon = require('@alfalab/icons-glyph/DocumentDocMIcon');
var DocumentExcelMIcon = require('@alfalab/icons-glyph/DocumentExcelMIcon');
var DocumentImageMIcon = require('@alfalab/icons-glyph/DocumentImageMIcon');
var DocumentMIcon = require('@alfalab/icons-glyph/DocumentMIcon');
var DocumentOffMIcon = require('@alfalab/icons-glyph/DocumentOffMIcon');
var DocumentPdfMIcon = require('@alfalab/icons-glyph/DocumentPdfMIcon');
var PaperclipMIcon = require('@alfalab/icons-glyph/PaperclipMIcon');
var context_fileUploadItemContext = require('../../../../context/file-upload-item-context.js');
var utils = require('../../../../utils.js');
var styles = require('./status-control-icon.module.css');

function _interopDefaultCompat (e) { return e && typeof e === 'object' && 'default' in e ? e : { default: e }; }

var React__default = /*#__PURE__*/_interopDefaultCompat(React);
var cn__default = /*#__PURE__*/_interopDefaultCompat(cn);
var DocumentOffMIcon__default = /*#__PURE__*/_interopDefaultCompat(DocumentOffMIcon);
var styles__default = /*#__PURE__*/_interopDefaultCompat(styles);

/* eslint-disable complexity */
var StatusControlIcon = function () {
    var _a, _b, _c, _d, _e;
    var _f = React.useContext(context_fileUploadItemContext.FileUploadItemContext), _g = _f.title, title = _g === void 0 ? '' : _g, uploadStatus = _f.uploadStatus, iconStyle = _f.iconStyle, CustomIcon = _f.customIcon, imageUrl = _f.imageUrl, showRestore = _f.showRestore;
    if (imageUrl) {
        return null;
    }
    if (CustomIcon) {
        return React__default.default.createElement(CustomIcon, null);
    }
    if (utils.isInitialStatus(uploadStatus)) {
        return React__default.default.createElement(PaperclipMIcon.PaperclipMIcon, null);
    }
    if (showRestore) {
        return React__default.default.createElement(DocumentOffMIcon__default.default, null);
    }
    var isColoredIcon = iconStyle === 'colored';
    var fileType = utils.getExtension(title);
    switch (fileType) {
        case 'pdf':
        case 'ppt':
        case 'pptx':
            return React__default.default.createElement(DocumentPdfMIcon.DocumentPdfMIcon, { className: cn__default.default((_a = {}, _a[styles__default.default.iconPDFColored] = isColoredIcon, _a)) });
        case 'doc':
        case 'docx':
            return React__default.default.createElement(DocumentDocMIcon.DocumentDocMIcon, { className: cn__default.default((_b = {}, _b[styles__default.default.iconDOCColored] = isColoredIcon, _b)) });
        case 'xls':
        case 'xlsx':
            return (React__default.default.createElement(DocumentExcelMIcon.DocumentExcelMIcon, { className: cn__default.default((_c = {}, _c[styles__default.default.iconExcelColored] = isColoredIcon, _c)) }));
        case '1c':
            return React__default.default.createElement(Document1CMIcon.Document1CMIcon, { className: cn__default.default((_d = {}, _d[styles__default.default.icon1CColored] = isColoredIcon, _d)) });
        case 'png':
        case 'jpg':
        case 'jpeg':
        case 'svg':
        case 'tif':
        case 'tiff':
            return React__default.default.createElement(DocumentImageMIcon.DocumentImageMIcon, null);
        default:
            return (React__default.default.createElement(DocumentMIcon.DocumentMIcon, { className: cn__default.default((_e = {}, _e[styles__default.default.iconDocumentColored] = isColoredIcon, _e)) }));
    }
};

exports.StatusControlIcon = StatusControlIcon;
