'use strict';

Object.defineProperty(exports, '__esModule', { value: true });

var tslib = require('tslib');
var React = require('react');
var cn = require('classnames');
var superEllipse = require('@alfalab/core-components/icon-view/super-ellipse');
var const_progressBar = require('../../const/progress-bar.js');
var context_fileUploadItemContext = require('../../context/file-upload-item-context.js');
var utils = require('../../utils.js');
var components_statusControl_components_statusControlIcon_statusControlIcon = require('./components/status-control-icon/status-control-icon.js');
var components_statusControl_components_statusControlProgressBar_statusControlProgressBar = require('./components/status-control-progress-bar/status-control-progress-bar.js');
var styles = require('./status-control.module.css');

function _interopDefaultCompat (e) { return e && typeof e === 'object' && 'default' in e ? e : { default: e }; }

var React__default = /*#__PURE__*/_interopDefaultCompat(React);
var cn__default = /*#__PURE__*/_interopDefaultCompat(cn);
var styles__default = /*#__PURE__*/_interopDefaultCompat(styles);

var StatusControl = function () {
    var _a, _b;
    var _c = React.useContext(context_fileUploadItemContext.FileUploadItemContext), _d = _c.uploadStatus, uploadStatus = _d === void 0 ? 'INITIAL' : _d, progressBar = _c.progressBar, imageUrl = _c.imageUrl;
    var progressRef = React.useRef(null);
    if (progressRef.current && progressBar) {
        progressRef.current.style.maskImage = "conic-gradient(red ".concat((const_progressBar.RADIUS / const_progressBar.MAX_PROGRESS_BAR_VALUE) * progressBar, "deg, transparent 0)");
    }
    var isTransparentProgressBar = function () {
        return uploadStatus === 'INITIAL' || uploadStatus === 'UPLOADED' || uploadStatus === 'DELETED';
    };
    return (React__default.default.createElement("div", { className: styles__default.default.container },
        React__default.default.createElement(superEllipse.SuperEllipse, tslib.__assign({ size: 48 }, (imageUrl && { imageUrl: imageUrl })),
            React__default.default.createElement(components_statusControl_components_statusControlIcon_statusControlIcon.StatusControlIcon, null)),
        React__default.default.createElement("div", { ref: progressRef, className: cn__default.default(styles__default.default.progress, (_a = {},
                _a[styles__default.default.uploading] = utils.isUploadingStatus(uploadStatus),
                _a[styles__default.default.success] = utils.isSuccessStatus(uploadStatus),
                _a[styles__default.default.error] = utils.isErrorStatus(uploadStatus),
                _a)) },
            React__default.default.createElement(components_statusControl_components_statusControlProgressBar_statusControlProgressBar.StatusControlProgressBar, { className: cn__default.default((_b = {},
                    _b[styles__default.default.progressBarTransparent] = isTransparentProgressBar(),
                    _b[styles__default.default.progressBarUploading] = uploadStatus === 'UPLOADING',
                    _b[styles__default.default.progressBarSuccess] = uploadStatus === 'SUCCESS',
                    _b[styles__default.default.progressBarError] = uploadStatus === 'ERROR',
                    _b)) }))));
};

exports.StatusControl = StatusControl;
