import React, { useContext } from 'react';
import { IconButton } from '@alfalab/core-components-icon-button/esm';
import ArrowDownLineDownCompactMIcon from '@alfalab/icons-glyph/ArrowDownLineDownCompactMIcon';
import { FileUploadItemContext } from '../../../../context/file-upload-item-context.js';
import { s as styles } from '../../../../actions-control.module-e32db318.js';

var DownloadButton = function () {
    var _a = useContext(FileUploadItemContext), _b = _a.id, id = _b === void 0 ? '0' : _b, downloadLink = _a.downloadLink, download = _a.download, disableButtons = _a.disableButtons, target = _a.target, onDownload = _a.onDownload;
    var handleDownload = function (e) {
        if (onDownload) {
            e.preventDefault();
            onDownload(id);
        }
    };
    return (React.createElement(IconButton, { className: styles.icon, size: 'xxs', "aria-label": '\u0441\u043A\u0430\u0447\u0430\u0442\u044C', icon: React.createElement(ArrowDownLineDownCompactMIcon, { className: styles.downloadIconColor }), disabled: disableButtons, href: downloadLink, download: download, target: target, onClick: handleDownload }));
};

export { DownloadButton };
