function humanFileSize(size) {
    var units = ['Б', 'КБ', 'МБ', 'ГБ'];
    var humanSize = Number(size);
    var factor = 0;
    while (humanSize >= 1024 && factor < units.length - 1) {
        humanSize /= 1024;
        factor += 1;
    }
    humanSize = humanSize.toFixed(2);
    return "".concat(Number(humanSize), " ").concat(units[factor]);
}
var getExtension = function (filename) { return filename.toLowerCase().split('.').pop(); };
var isInitialStatus = function (status) { return status === 'INITIAL'; };
var isSuccessStatus = function (status) { return status === 'SUCCESS'; };
var isErrorStatus = function (status) { return status === 'ERROR'; };
var isUploadingStatus = function (status) { return status === 'UPLOADING'; };
var isUploadedStatus = function (status) { return status === 'UPLOADED'; };

export { getExtension, humanFileSize, isErrorStatus, isInitialStatus, isSuccessStatus, isUploadedStatus, isUploadingStatus };
