import React, { useContext } from 'react';
import { FileUploadItemContext } from '../../context/file-upload-item-context.js';
import { DeleteButton } from './components/delete-button/delete-button.js';
import { DownloadButton } from './components/download-button/download-button.js';
import { RestoreButton } from './components/restore-button/restore-button.js';
import { s as styles } from '../../actions-control.module-8c021ec2.js';

const Actions = () => {
    const { showRestore, downloadLink, showDelete } = useContext(FileUploadItemContext);
    return (React.createElement("div", { className: styles.container },
        showRestore && React.createElement(RestoreButton, null),
        Boolean(downloadLink) && !showRestore && React.createElement(DownloadButton, null),
        showDelete && !showRestore && React.createElement(DeleteButton, null)));
};

export { Actions };
