import React, { useContext } from 'react';
import { IconButton } from '@alfalab/core-components-icon-button/modern';
import ArrowsCwCompactMIcon from '@alfalab/icons-glyph/ArrowsCwCompactMIcon';
import { FileUploadItemContext } from '../../../../context/file-upload-item-context.js';
import { s as styles } from '../../../../actions-control.module-8c021ec2.js';

const RestoreButton = () => {
    const { id = '0', disableButtons, onRestore } = useContext(FileUploadItemContext);
    const handleRestore = () => {
        if (onRestore) {
            onRestore(id);
        }
    };
    return (React.createElement(IconButton, { className: styles.icon, size: 'xxs', "aria-label": '\u0432\u043E\u0441\u0441\u0442\u0430\u043D\u043E\u0432\u0438\u0442\u044C', icon: React.createElement(ArrowsCwCompactMIcon, { className: styles.restoreIconColor }), disabled: disableButtons, onClick: handleRestore }));
};

export { RestoreButton };
