import React, { useContext } from 'react';
import cn from 'classnames';
import { Text } from '@alfalab/core-components-typography/modern';
import { FileUploadItemContext } from '../../context/file-upload-item-context.js';
import { ContentSubtitle } from './components/content-subtitle/content-subtitle.js';

const styles = {"container":"file-upload-item__container_goym5","single":"file-upload-item__single_goym5","title":"file-upload-item__title_goym5","truncate":"file-upload-item__truncate_goym5","restore":"file-upload-item__restore_goym5"};
require('./content.css')

const Content = () => {
    const { title, customContent: CustomContent, truncate, subtitle, showRestore, } = useContext(FileUploadItemContext);
    if (CustomContent) {
        return React.createElement(CustomContent, null);
    }
    return (React.createElement("div", { className: cn(styles.container, {
            [styles.single]: !subtitle,
        }) },
        title && (React.createElement(Text, { className: cn(styles.title, {
                [styles.truncate]: truncate,
                [styles.restore]: showRestore,
            }), view: 'component', color: 'primary' }, title)),
        React.createElement(ContentSubtitle, null)));
};

export { Content };
