/// <reference types="react" />
import { ElementType, HTMLAttributeAnchorTarget, MouseEvent } from 'react';
type TFileUploadItemContext = {
    showRestore?: boolean;
    uploadStatus?: string;
    error?: string | string[];
    title?: string;
    subtitle?: string;
    uploadDate?: string;
    size?: string | number;
    id?: string;
    onDownload?: (id: string) => void;
    onDelete?: (id: string, event?: MouseEvent<HTMLElement>) => void;
    onRestore?: (id: string) => void;
    downloadLink?: string;
    download?: string | true;
    disableButtons?: boolean;
    target?: HTMLAttributeAnchorTarget;
    showDelete?: boolean;
    customIcon?: ElementType<{
        className?: string;
    }>;
    iconStyle?: 'gray' | 'colored';
    progressBar?: number;
    customContent?: ElementType;
    truncate?: boolean;
    imageUrl?: string;
};
declare const FileUploadItemContext: import("react").Context<TFileUploadItemContext>;
export { FileUploadItemContext };
