import React from 'react';
import cn from 'classnames';
import { Actions } from './components/actions-control/actions.js';
import { Content } from './components/content/content.js';
import { StatusControl } from './components/status-control/status-control.js';
import { FileUploadItemContext } from './context/file-upload-item-context.js';
import styles from './index.module.css';

const FileUploadItemComponent = ({ className, children, id = '0', title = '', subtitle, size, uploadDate, downloadLink, download, uploadStatus, error, showDelete, showRestore, onDelete, onDownload, onRestore, disableButtons, target, dataTestId, customIcon, iconStyle = 'gray', progressBar = 0, customContent, truncate, imageUrl, }) => (React.createElement("div", { className: cn(className, styles.component, uploadStatus && styles[uploadStatus.toLocaleLowerCase()]), "data-test-id": dataTestId },
    React.createElement(FileUploadItemContext.Provider
    // eslint-disable-next-line react/jsx-no-constructed-context-values
    , { 
        // eslint-disable-next-line react/jsx-no-constructed-context-values
        value: {
            showRestore,
            uploadStatus,
            error,
            title,
            subtitle,
            uploadDate,
            size,
            id,
            onDownload,
            onDelete,
            onRestore,
            downloadLink,
            download,
            disableButtons,
            target,
            showDelete,
            customIcon,
            iconStyle,
            progressBar,
            customContent,
            truncate,
            imageUrl,
        } }, children)));
const FileUploadItem = Object.assign(FileUploadItemComponent, {
    StatusControl,
    Content,
    Actions,
});

export { FileUploadItem, FileUploadItemComponent };
