import React, { useContext } from 'react';
import { IconButton } from '@alfalab/core-components-icon-button/moderncssm';
import CrossMIcon from '@alfalab/icons-glyph/CrossMIcon';
import { FileUploadItemContext } from '../../../../context/file-upload-item-context.js';
import styles from '../../actions-control.module.css';

const DeleteButton = () => {
    const { id = '0', disableButtons, onDelete } = useContext(FileUploadItemContext);
    const handleDelete = (e) => {
        if (onDelete) {
            onDelete(id, e);
        }
    };
    return (React.createElement(IconButton, { className: styles.icon, size: 'xxs', "aria-label": '\u0443\u0434\u0430\u043B\u0438\u0442\u044C', icon: React.createElement(CrossMIcon, { className: styles.deleteIconColor }), disabled: disableButtons, onClick: handleDelete }));
};

export { DeleteButton };
