import React, { useContext } from 'react';
import { IconButton } from '@alfalab/core-components-icon-button/moderncssm';
import ArrowDownLineDownCompactMIcon from '@alfalab/icons-glyph/ArrowDownLineDownCompactMIcon';
import { FileUploadItemContext } from '../../../../context/file-upload-item-context.js';
import styles from '../../actions-control.module.css';

const DownloadButton = () => {
    const { id = '0', downloadLink, download, disableButtons, target, onDownload, } = useContext(FileUploadItemContext);
    const handleDownload = (e) => {
        if (onDownload) {
            e.preventDefault();
            onDownload(id);
        }
    };
    return (React.createElement(IconButton, { className: styles.icon, size: 'xxs', "aria-label": '\u0441\u043A\u0430\u0447\u0430\u0442\u044C', icon: React.createElement(ArrowDownLineDownCompactMIcon, { className: styles.downloadIconColor }), disabled: disableButtons, href: downloadLink, download: download, target: target, onClick: handleDownload }));
};

export { DownloadButton };
