import React, { useContext } from 'react';
import { Text } from '@alfalab/core-components-typography/moderncssm';
import { FileUploadItemContext } from '../../../../context/file-upload-item-context.js';
import styles from './content-error.module.css';

const ContentError = () => {
    const { error } = useContext(FileUploadItemContext);
    if (typeof error === 'string' && error.length > 0) {
        return (React.createElement(Text, { className: styles.errorItem, view: 'primary-small', color: 'negative' }, error));
    }
    if (Array.isArray(error) && error.length > 0) {
        return (React.createElement("div", null, error.map((item) => (React.createElement(Text, { key: item, className: styles.errorItem, view: 'primary-small', color: 'negative' }, item)))));
    }
    return (React.createElement(Text, { className: styles.errorItem, view: 'primary-small', color: 'negative' }, "\u041D\u0435 \u0443\u0434\u0430\u043B\u043E\u0441\u044C \u0437\u0430\u0433\u0440\u0443\u0437\u0438\u0442\u044C \u0444\u0430\u0439\u043B"));
};

export { ContentError };
