function humanFileSize(size) {
    const units = ['Б', 'КБ', 'МБ', 'ГБ'];
    let humanSize = Number(size);
    let factor = 0;
    while (humanSize >= 1024 && factor < units.length - 1) {
        humanSize /= 1024;
        factor += 1;
    }
    humanSize = humanSize.toFixed(2);
    return `${Number(humanSize)} ${units[factor]}`;
}
const getExtension = (filename) => filename.toLowerCase().split('.').pop();
const isInitialStatus = (status) => status === 'INITIAL';
const isSuccessStatus = (status) => status === 'SUCCESS';
const isErrorStatus = (status) => status === 'ERROR';
const isUploadingStatus = (status) => status === 'UPLOADING';
const isUploadedStatus = (status) => status === 'UPLOADED';

export { getExtension, humanFileSize, isErrorStatus, isInitialStatus, isSuccessStatus, isUploadedStatus, isUploadingStatus };
